Part: Casetă

From FreeCAD Documentation
Revision as of 06:31, 26 October 2018 by Luc (talk | contribs)

Part Box

poziția meniului
Part → Box
Ateliere
Part, Complete
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Part CreatePrimitives

Descriere

The Box command from the Part Workbench inserts a parametric, rectangular cuboid, geometric primitive into the active document. By default, the Box command will insert a 10x10x10 mm cube, positioned at the origin, with the label "cube". These parameters may be modified after the object has been added.

Part_Box

Cum se folosește

  • Click the cube icon from the Part Workbench.
  • Alternatively, you can select Part → Primitives → Cube from the menu bar.

Opțiuni

  • Via the Property Editor:
    • Length: Set the length distance for your Box object (default is 10 mm).
    • Width: Set the width distance for your Box object (default is 10 mm).
    • Height: Set the height distance for your Box object (default is 10 mm).
    • Placement: Specifies the orientation and position of the Box in the 3D space. See Placement. The reference point is the left front lower corner of the box.
    • Label: The Label is the name given to the operation. This name can be changed at your convenience.

Proprietăți

Base

  • DatePlacement: Specifies the orientation and position of the Box in the 3D space. See Placement. The reference point is the left front lower corner of the box.
  • DateLabel: Label given to the Box object. Change to suit your needs.

Box

  • DateLength: The length parameter is the Box's dimension in the x-direction.
  • DateWidth: The width parameter is the Box's dimension in the y-direction.
  • DateHeight: The height parameter is the Box's dimension in the z-direction.

Part_Box-Properties

Scripting

Comanda Box poate fi utilizat în macros și din consola python utilizând următoarea funcție:

FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Unde "myBox" este o denumire/etichetă pentru obiectul Box.
  • Are ca rezulta obiectul nou creat de tip Box.

You can access and modify attributes of the Box object. For example, you may wish to modify the length, width and height parameters.

FreeCAD.ActiveDocument.myBox.Length = 25
FreeCAD.ActiveDocument.myBox.Width = 15
FreeCAD.ActiveDocument.myBox.Height = 30

You can change its placement with:

FreeCAD.ActiveDocument.myBox.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))

FreeCAD - Version

Beginning in FreeCAD version 0.14, a Part Box is referred to in the GUI elements as a Cube and the default label is "Cube".